import 'package:flutter/material.dart';

class DeviceControlsContainer extends StatelessWidget {
  const DeviceControlsContainer({required this.child, this.padding, super.key});
  final Widget child;
  final double? padding;

  @override
  Widget build(BuildContext context) {
    return Card(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(20),
      ),
      elevation: 3,
      surfaceTintColor: Colors.transparent,
      child: Container(
        decoration: BoxDecoration(
          color: Colors.grey.shade100,
          borderRadius: BorderRadius.circular(20),
        ),
        padding:
            EdgeInsets.symmetric(vertical: padding ?? 10, horizontal: padding ?? 16), //EdgeInsets.all(padding ?? 12),
        child: child,
      ),
    );
  }
}
